---
title: "Home"
draft: false
---

### My Projects
---
- Pak: A cross-platform wrapper written in go designed to unify package managers. It uses TOML configs to define package managers. Options include commands, shortcuts, root user invocation, root user invocation command, and package manager command.

{{< button-gitea project="pak" text="Pak" color="green" >}}

- Opensend: A program made to share files and websites between computers securely and reliably, written in go, using zeroconf for discovery, AES and RSA for encryption, and Tar + Zstandard for compression.

{{< button-gitea project="opensend" text="Opensend" owner="opensend" color="green" >}}

- Statusboard: A full-stack web application that tracks website status written in Swift, Swift Crypto, and the Vapor stack. It uses a tabler web UI for the dashboard, a JSON config to define servers to track, and an SQLite database to keep track of log-ins and show private servers. My instance can be found [here](https://status.arsenm.dev)

{{< button-gitea project="statusboard" text="Statusboard" color="green" >}}

- Chromebook Linux Audio: A collection of bash scripts to compile and install the required kernel and audio server to enable audio and other chromebook features in a mainline linux distro.

{{< button-gitlab project="chromebook-linux-audio" text="Chromebook Linux Audio" color="OrangeRed" >}}
